#
# spec file for package quazip
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           quazip
Version:        0.5
Release:        17.1
Summary:        C++ wrapper for ZIP/UNZIP

Group:          Development/Libraries/C and C++
License:        GPL-2.0+ or LGPL-2.1+
Url:            http://quazip.sourceforge.net/
Source0:        http://sourceforge.net/projects/quazip/files/quazip/%{version}/quazip-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libqt4-devel
BuildRequires:  doxygen graphviz graphviz-gnome
BuildRequires:  fdupes

%description
A C++ wrapper for the Gilles Vollant's ZIP/UNZIP C package, using Trolltech's Qt toolkit.
Useful to access ZIP archives from the Qt programs.

%package -n libquazip1
Summary:        C++ wrapper for ZIP/UNZIP
Group:          Development/Libraries/C and C++

%description -n libquazip1
A C++ wrapper for the Gilles Vollant's ZIP/UNZIP C package, using Trolltech's Qt toolkit.
Useful to access ZIP archives from the Qt programs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       libquazip1 = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        C++ wrapper for ZIP/UNZIP
Group:          Development/Libraries/C and C++

%description doc
A C++ wrapper for the Gilles Vollant's ZIP/UNZIP C package, using Trolltech's Qt toolkit.
Useful to access ZIP archives from the Qt programs.


%prep
%setup -q

%build
pushd quazip
qmake PREFIX=%{_prefix} QMAKE_CFLAGS="%optflags" QMAKE_CXXFLAGS="%optflags"
%__make %{?_smp_mflags}
popd
doxygen -u
doxygen

%install
pushd quazip
%__make install INSTALL_ROOT=%{buildroot}
if [ "%{_lib}" != "lib" ]; then
  %__mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
fi
popd
pushd doc/html
%fdupes -s .
popd

%post -n libquazip1 -p /sbin/ldconfig

%postun -n libquazip1 -p /sbin/ldconfig

%files -n libquazip1
%defattr(-,root,root,-)
%doc COPYING* NEWS.txt README.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%files doc
%defattr(-,root,root,-)
%doc doc/html

%changelog
* Sat Dec 15 2012 p.drouand@gmail.com
- Update to 0.5 version:
  * Added run_moc.bat files for building under Windows in case Qt
    integration is not available (e. g. VS 2008 Express).
  * Added the QuaZipDir class to simplify ZIP navigation in terms
    of directories.
  * Added the QuaGzipFile class for working with GZIP archives. It
    was added as a bonus since it has nothing to do with the main
    purpose of the library. It probably won't get any major
    improvements, although minor bug fixes are possible.
  * Added the QuaZIODevice class for working with zlib
    compression. It has nothing to do with the ZIP format, and
    therefore the same notice as for the QuaGzipFile applies.
  * The global comment is no longer erased when adding files to
    an archive.
  * Many bug fixes.
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Mon Sep 12 2011 adam@mizerski.pl
- update to 0.4.3
  See NEWS for details
* Wed Sep  7 2011 adam@mizerski.pl
- update to 0.4.2
  See NEWS for details
* Fri May 27 2011 cfarrell@novell.com
- license update: GPL-2.0+ or LGPL-2.1+
  Update license syntax. Also GPLv2 was not correct. It is an ^or later^
  clause
* Wed Feb 23 2011 adam@mizerski.pl
- new package
